Messages
Send a message
POST
/
messages
Send a message
curl --request POST \
--url https://api.example.com/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "text",
"to": "<string>",
"text": "<string>"
}
'import requests
url = "https://api.example.com/messages"
payload = {
"type": "text",
"to": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'text', to: '<string>', text: '<string>'})
};
fetch('https://api.example.com/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"message": {
"id": "68505cb92a11ea971d9df894",
"providerId": "wamid.HBgLMTIzNDU2Nzg5FQIAERgSMzQ1Q0Y5QkE=",
"contact": "68505cb92a11ea971d9df894",
"content": "Hello! How can I help?",
"role": "assistant",
"status": "unsent",
"error": "Rate limit exceeded"
}
}
}{
"error": "Validation failed",
"details": {
"body.text": "Text is required"
}
}{
"error": "contact_not_found"
}{
"error": "something_went_wrong"
}Authorizations
Use Authorization: Bearer <api_key>.
Body
application/json
Response
Message sent
Show child attributes
Show child attributes
⌘I
Send a message
